Skip to navigation

✨ Replace organization permission override

Replace the organization-level permission override for a given permission key.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Path parameters

idintegerRequired
A unique integer value identifying this organization.
permission_keystringRequired
Permission key to update within the organization.

Request

This endpoint expects an object.
permissionstringRequired1-255 characters
roleslist of enumsOptional
Organization roles

Response

defaultlist of enumsRead-only
groupstring or nullRead-only
idintegerRead-only
labelstring or nullRead-only
optionslist of enumsRead-only
organizationintegerRead-only
permissionstring<=255 characters
tooltipstring or nullRead-only
roleslist of enumsOptional
Organization roles

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error